Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.sax
Class SAXResult

    java.lang.Object
      |
      +--javax.xml.transform.sax.SAXResult

All Implemented Interfaces:
  Result

public class SAXResult
extends java.lang.Object
implements Result

Results for a SAX tree.

Field Summary
`static java.lang.String` | `FEATURE` The feature name to tell if the transformer can handle sax output.

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`SAXResult()` Zero-arg constructor.
`SAXResult(org.xml.sax.ContentHandler handler)` Creates a SAX result with the given owning node.

Method Summary
`org.xml.sax.ContentHandler` | `getHandler()` Returns the result ContentHandler.
`org.xml.sax.ext.LexicalHandler` | `getLexicalHandler()` Returns the result LexicalHandler.
`java.lang.String` | `getSystemId()` Returns the result system id.
`void` | `setHandler(org.xml.sax.ContentHandler contentHandler)` Sets the result ContentHandler.
`void` | `setLexicalHandler(org.xml.sax.ext.LexicalHandler lexicalHandler)` Sets the result LexicalHandler.
`void` | `setSystemId(java.lang.String systemId)` Sets the result system id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

  The feature name to tell if the transformer can handle sax output.

Constructor Detail

### SAXResult

    public SAXResult()

  Zero-arg constructor.

### SAXResult

    public SAXResult(org.xml.sax.ContentHandler handler)

  Creates a SAX result with the given owning node.
  Parameters:
    `contentHandler` - the content-handler to receive the result.

Method Detail

### getHandler

    public org.xml.sax.ContentHandler getHandler()

  Returns the result ContentHandler.

### setHandler

    public void setHandler(org.xml.sax.ContentHandler contentHandler)

  Sets the result ContentHandler.

### getLexicalHandler

    public org.xml.sax.ext.LexicalHandler getLexicalHandler()

  Returns the result LexicalHandler.

### setLexicalHandler

    public void setLexicalHandler(org.xml.sax.ext.LexicalHandler lexicalHandler)

  Sets the result LexicalHandler.

### getSystemId

    public java.lang.String getSystemId()

  Returns the result system id.
  Specified by:
    `getSystemId` in interface `Result`
  Following copied from interface: `javax.xml.transform.Result`
  Returns:
    the system id as a URL

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Sets the result system id.
  Specified by:
    `setSystemId` in interface `Result`
  Following copied from interface: `javax.xml.transform.Result`
  Parameters:
    `systemId` - set the system id as a URL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD